org.apache.hadoop.yarn.webapp.hamlet2

## Class Hamlet.SCRIPT<T extends HamletSpec.__>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.SCRIPT<T>

- All Implemented Interfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Content, HamletSpec.SCRIPT
  Enclosing class:
    Hamlet

      public class Hamlet.SCRIPT<T extends HamletSpec.__>
      extends HamletImpl.EImp<T>
      implements HamletSpec.SCRIPT

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCRIPT(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.SCRIPT<T>` | `__(Object... lines)` Content of the element
    `Hamlet.SCRIPT<T>` | `$charset(String value)` char encoding of linked resource
    `Hamlet.SCRIPT<T>` | `$defer(String value)` UA may defer execution of script
    `Hamlet.SCRIPT<T>` | `$src(String value)` URI for an external script
    `Hamlet.SCRIPT<T>` | `$type(String value)` content type of script language

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp

      `__, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Constructor Detail

    - #### SCRIPT

          public SCRIPT(String name,
                        T parent,
                        EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $type

          public Hamlet.SCRIPT<T> $type(String value)

      Description copied from interface: `HamletSpec.SCRIPT`
      content type of script language
      Specified by:
        `$type` in interface `HamletSpec.SCRIPT`
      Returns:
        the current element builder

    - #### $src

          public Hamlet.SCRIPT<T> $src(String value)

      Description copied from interface: `HamletSpec.SCRIPT`
      URI for an external script
      Specified by:
        `$src` in interface `HamletSpec.SCRIPT`
      Returns:
        the current element builder

    - #### $charset

          public Hamlet.SCRIPT<T> $charset(String value)

      Description copied from interface: `HamletSpec.SCRIPT`
      char encoding of linked resource
      Specified by:
        `$charset` in interface `HamletSpec.SCRIPT`
      Returns:
        the current element builder

    - #### $defer

          public Hamlet.SCRIPT<T> $defer(String value)

      Description copied from interface: `HamletSpec.SCRIPT`
      UA may defer execution of script
      Specified by:
        `$defer` in interface `HamletSpec.SCRIPT`
      Returns:
        the current element builder

    - #### __

          public Hamlet.SCRIPT<T> __(Object... lines)

      Description copied from interface: `HamletSpec._Content`
      Content of the element
      Specified by:
        `__` in interface `HamletSpec._Content`
      Parameters:
        `lines` - of content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.